=== debian/changelog ===
efilinux (0.9-2) unstable; urgency=low

  * Adding patch to update libdir on amd64 (Closes: #646191).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 Oct 2011 08:13:10 +0200

efilinux (0.9-1) unstable; urgency=low

  * Initial release (Closes: #639768).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 12 Oct 2011 21:19:34 +0200
