=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_fixperms:
	dh_fixperms

	chmod 0644 debian/efilinux/usr/lib/efilinux/*.efi

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9
