=== debian/changelog ===
efilinux (1.0-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/menu-support.patch: Add support for a boot menu.
    - debian/rules: On amd64, add a raw-uefi custom upload tarball for
      signing.
    - debian/patches/no-red-zone.patch: Pass -mno-red-zone to gcc to be
      compatible with the UEFI ABI.
    - debian/patches/files-without-drive-letters.patch: support loading
      kernels by relative path.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 17 Dec 2012 16:57:34 -0500

efilinux (1.0-3) unstable; urgency=low

  * Adding dpkg-source local options.
  * Updating to standards version 3.9.4.
  * Correcting architecture fields.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 16 Dec 2012 10:38:26 +0100

efilinux (1.0-2ubuntu4) quantal; urgency=low

  * Add a version file to the raw-uefi custom upload tarball, to make it
    easier to determine the version on download without having to parse
    Apache directory listings.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Aug 2012 12:34:30 +0100

efilinux (1.0-2ubuntu3) quantal; urgency=low

  * debian/patches/no-red-zone.patch: Pass -mno-red-zone to gcc to be
    compatible with the UEFI ABI.  Closes LP: #1025931.
  * debian/patches/files-without-drive-letters.patch: support loading
    kernels by relative path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jul 2012 16:23:46 -0700

efilinux (1.0-2ubuntu2) quantal; urgency=low

  * On amd64, add a raw-uefi custom upload tarball for signing.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jul 2012 12:10:03 +0100

efilinux (1.0-2ubuntu1) quantal; urgency=low

  * debian/patches/menu-support.patch: Add support for a boot menu.
    Thanks to Colin Watson <cjwatson@canonical.com>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 03 Jul 2012 12:11:26 -0700

efilinux (1.0-2) unstable; urgency=low

  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 14:32:09 +0200

efilinux (1.0-1) unstable; urgency=low

  * Updating package to standards version 3.9.3.
  * Updating package to debhelper version 9.
  * Merging upstream version 1.0.
  * Updating copyright file to machine-readable format version 1.0.
  * Rediffing gnuefi.patch.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 14:19:00 +0200
