=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),amd64)
VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
TARNAME := efilinux_$(VERSION)_$(ARCH).tar.gz
endif

override_dh_clean:
	dh_clean
	rm -rf debian/efilinux-images

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9
ifeq ($(ARCH),amd64)
	mkdir -p debian/efilinux-images/$(VERSION)
	cp -a debian/efilinux/usr/lib/efilinux/efilinux.efi \
		debian/efilinux-images/$(VERSION)/
	echo $(VERSION) > debian/efilinux-images/$(VERSION)/version
	cd debian/efilinux-images && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-uefi -
endif

override_dh_fixperms:
	dh_fixperms

	chmod 0644 debian/efilinux/usr/lib/efilinux/*.efi
